Subject: Re: [PATCH v12 01/13] sk_run_filter: add support for custom load_pointer

From: Andrew Morton <[email-masked]>
Date: Thu, 1 Mar 2012 17:19:14 -0800

On Thu, 1 Mar 2012 16:57:49 -0800 Kees Cook <[email-masked]> wrote:

> On Thu, Mar 1, 2012 at 4:47 PM, Stephen Rothwell <[email-masked]> wrote:
> > Hi Kees,
> >
> > On Thu, 1 Mar 2012 15:37:12 -0800 Kees Cook <[email-masked]> wrote:
> >>
> >> Is it time to pull this into -next so more people can feel it? I brought
> >> Andy Lutomirski's patches forward (needed to bump the prctl values), and
> >> updated my git tree. If we're ready, here it is in all its request-pull
> >> format glory:
> >>
> >> The following changes since commit 2422c8368337196594265d52cad7316c9404bfcf:
> >> __ Stephen Rothwell (1):
> >> __ __ __ __ Add linux-next specific files for 20120301
> >
> > OK, not commenting on anything else, but I cannot merge that into
> > linux-next because it is based on yesterday's linux-next release and
> > linux-next (effectively) rebases every day ...
> >
> > Does this work depend on anything in linux-next? __Or could it be just
> > based off Linus' tree. __If it depends on other tree(s) merged into
> > linux-next, then you should base your tree on those tree(s) as long as
> > they never get rebased ...
> 
> Unfortunately, yes, it does -- there were both ptrace changes and prctl changes.
> 
> And at least the ptrace changes are, IIRC, in -mm, which has no tree.
> :P Given that, what's the best thing for me to do for this to be easy
> for you to pull?

Base the tree on mainline and wreck the -mm patches I guess.  I'm good
at unwrecking patches.

That assumes that we're going to merge this stuff into 3.4 - if we
don't, unwrecker gets rewrecked and grumpy.

I don't know if we're going to merge it into 3.4?  I haven't been
paying a lot of attention and haven't looked at the patches in a while.